Index: /trunk/sources/HeuristicLab.PluginInfrastructure/HeuristicLab.PluginInfrastructure.csproj
===================================================================
--- /trunk/sources/HeuristicLab.PluginInfrastructure/HeuristicLab.PluginInfrastructure.csproj	(revision 3546)
+++ /trunk/sources/HeuristicLab.PluginInfrastructure/HeuristicLab.PluginInfrastructure.csproj	(revision 3547)
@@ -93,4 +93,10 @@
   </ItemGroup>
   <ItemGroup>
+    <Compile Include="Advanced\BasicUpdateView.cs">
+      <SubType>UserControl</SubType>
+    </Compile>
+    <Compile Include="Advanced\BasicUpdateView.Designer.cs">
+      <DependentUpon>BasicUpdateView.cs</DependentUpon>
+    </Compile>
     <Compile Include="Advanced\ConfirmationDialog.cs">
       <SubType>Form</SubType>
@@ -105,4 +111,17 @@
       <DependentUpon>ConnectionSetupView.cs</DependentUpon>
     </Compile>
+    <Compile Include="Advanced\InstallationManagerControl.cs">
+      <SubType>UserControl</SubType>
+    </Compile>
+    <Compile Include="Advanced\InstallationManagerControl.Designer.cs">
+      <DependentUpon>InstallationManagerControl.cs</DependentUpon>
+    </Compile>
+    <Compile Include="Advanced\LocalPluginsView.cs">
+      <SubType>UserControl</SubType>
+    </Compile>
+    <Compile Include="Advanced\LocalPluginsView.Designer.cs">
+      <DependentUpon>LocalPluginsView.cs</DependentUpon>
+    </Compile>
+    <Compile Include="Advanced\IStatusDisplay.cs" />
     <Compile Include="Advanced\InstallationManagerException.cs" />
     <Compile Include="Advanced\DeploymentService\AdminClientFactory.cs" />
@@ -135,10 +154,4 @@
       <DependentUpon>LicenseView.cs</DependentUpon>
     </Compile>
-    <Compile Include="Advanced\LocalPluginManager.cs">
-      <SubType>UserControl</SubType>
-    </Compile>
-    <Compile Include="Advanced\LocalPluginManager.Designer.cs">
-      <DependentUpon>LocalPluginManager.cs</DependentUpon>
-    </Compile>
     <Compile Include="Advanced\MultiSelectListView.cs">
       <SubType>Component</SubType>
@@ -166,5 +179,5 @@
     </Compile>
     <Compile Include="Advanced\PluginView.cs">
-      <SubType>UserControl</SubType>
+      <SubType>Form</SubType>
     </Compile>
     <Compile Include="Advanced\PluginView.Designer.cs">
@@ -217,7 +230,4 @@
       <DependentUpon>InstallationManagerForm.cs</DependentUpon>
     </EmbeddedResource>
-    <EmbeddedResource Include="Advanced\LocalPluginManager.resx">
-      <DependentUpon>LocalPluginManager.cs</DependentUpon>
-    </EmbeddedResource>
     <EmbeddedResource Include="Advanced\RemotePluginInstaller.resx">
       <DependentUpon>RemotePluginInstaller.cs</DependentUpon>
@@ -286,4 +296,7 @@
     <Content Include="Resources\List.gif" />
     <Content Include="Resources\Logo_white.gif" />
+    <EmbeddedResource Include="Advanced\BasicUpdateView.resx">
+      <DependentUpon>BasicUpdateView.cs</DependentUpon>
+    </EmbeddedResource>
     <EmbeddedResource Include="Advanced\ConfirmationDialog.resx">
       <DependentUpon>ConfirmationDialog.cs</DependentUpon>
@@ -291,4 +304,7 @@
     <EmbeddedResource Include="Advanced\ConnectionSetupView.resx">
       <DependentUpon>ConnectionSetupView.cs</DependentUpon>
+    </EmbeddedResource>
+    <EmbeddedResource Include="Advanced\LocalPluginsView.resx">
+      <DependentUpon>LocalPluginsView.cs</DependentUpon>
     </EmbeddedResource>
     <EmbeddedResource Include="Advanced\DeploymentService\servdev.cer" />
@@ -317,5 +333,7 @@
     <None Include="Resources\VS2008ImageLibrary_CommonElements_Actions_Remove.png" />
     <None Include="Resources\VS2008ImageLibrary_CommonElements_Actions_Remove1.png" />
+    <None Include="Resources\VS2008ImageLibrary_CommonElements_Actions_Add.png" />
     <Content Include="Resources\VS2008ImageLibrary_CommonElements_Objects_Arrow_Down.png" />
+    <None Include="Resources\VS2008ImageLibrary_CommonElements_Objects_Arrow_Up1.png" />
     <None Include="Resources\VS2008ImageLibrary_Objects_NetworkConnections.png" />
     <None Include="Resources\VS2008ImageLibrary_Objects_Install1.png" />
Index: /trunk/sources/HeuristicLab.PluginInfrastructure/Manager/PluginValidator.cs
===================================================================
--- /trunk/sources/HeuristicLab.PluginInfrastructure/Manager/PluginValidator.cs	(revision 3546)
+++ /trunk/sources/HeuristicLab.PluginInfrastructure/Manager/PluginValidator.cs	(revision 3547)
@@ -260,4 +260,6 @@
         catch (TypeLoadException) {
         }
+        catch (MissingMemberException) {
+        }
       }
       return pluginDescriptions;
Index: /trunk/sources/HeuristicLab.PluginInfrastructure/Properties/Resources.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.PluginInfrastructure/Properties/Resources.Designer.cs	(revision 3546)
+++ /trunk/sources/HeuristicLab.PluginInfrastructure/Properties/Resources.Designer.cs	(revision 3547)
@@ -96,7 +96,21 @@
         }
         
+        internal static System.Drawing.Bitmap VS2008ImageLibrary_CommonElements_Actions_Add {
+            get {
+                object obj = ResourceManager.GetObject("VS2008ImageLibrary_CommonElements_Actions_Add", resourceCulture);
+                return ((System.Drawing.Bitmap)(obj));
+            }
+        }
+        
         internal static System.Drawing.Bitmap VS2008ImageLibrary_CommonElements_Actions_Remove {
             get {
                 object obj = ResourceManager.GetObject("VS2008ImageLibrary_CommonElements_Actions_Remove", resourceCulture);
+                return ((System.Drawing.Bitmap)(obj));
+            }
+        }
+        
+        internal static System.Drawing.Bitmap VS2008ImageLibrary_CommonElements_Objects_Arrow_Up {
+            get {
+                object obj = ResourceManager.GetObject("VS2008ImageLibrary_CommonElements_Objects_Arrow_Up", resourceCulture);
                 return ((System.Drawing.Bitmap)(obj));
             }
Index: /trunk/sources/HeuristicLab.PluginInfrastructure/Properties/Settings.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.PluginInfrastructure/Properties/Settings.Designer.cs	(revision 3546)
+++ /trunk/sources/HeuristicLab.PluginInfrastructure/Properties/Settings.Designer.cs	(revision 3547)
@@ -92,5 +92,5 @@
         [global::System.Configuration.UserScopedSettingAttribute()]
         [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
-        [global::System.Configuration.DefaultSettingValueAttribute("True")]
+        [global::System.Configuration.DefaultSettingValueAttribute("False")]
         public bool ShowPluginUploadControls {
             get {
Index: /trunk/sources/HeuristicLab.PluginInfrastructure/Properties/Settings.settings
===================================================================
--- /trunk/sources/HeuristicLab.PluginInfrastructure/Properties/Settings.settings	(revision 3546)
+++ /trunk/sources/HeuristicLab.PluginInfrastructure/Properties/Settings.settings	(revision 3547)
@@ -22,5 +22,5 @@
     </Setting>
     <Setting Name="ShowPluginUploadControls" Type="System.Boolean" Scope="User">
-      <Value Profile="(Default)">True</Value>
+      <Value Profile="(Default)">False</Value>
     </Setting>
   </Settings>
